Update links

Authenticate every request with Authorization: Bearer <token> — a JWT or API token.

Download OpenAPI JSON
Overview
PUT/persona-memory/links/{id}persona_memory

Update links

Replace a record in links by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • ecosystemIdoptionalstring
  • srcIdoptionalstring
  • dstIdoptionalstring
  • relationoptionalstring
  • syncTxidoptionalinteger
Example
{
  "ecosystemId": "string",
  "srcId": "string",
  "dstId": "string",
  "relation": "string",
  "syncTxid": 0
}
Responses
200

links

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • srcIdstring
  • dstIdstring
  • relationstring
  • createdAtstring
  • updatedAtstring
  • deletedAtstring?
  • syncVersioninteger
  • syncStampedAtstring?
  • syncTxidinteger
Example
{
  "id": "string",
  "ecosystemId": "string",
  "customerId": "string",
  "srcId": "string",
  "dstId": "string",
  "relation": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "deletedAt": "string",
  "syncVersion": 0,
  "syncStampedAt": "string",
  "syncTxid": 0
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/persona-memory/links/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "ecosystemId": "string",
  "srcId": "string",
  "dstId": "string",
  "relation": "string",
  "syncTxid": 0
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/links/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"ecosystemId\": \"string\",\n  \"srcId\": \"string\",\n  \"dstId\": \"string\",\n  \"relation\": \"string\",\n  \"syncTxid\": 0\n}",
});
const data = await res.json();